"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resourcesReset = exports.fetchResourceRequested = exports.fetchResourceReceived = exports.fetchResourceFailed = exports.fetchResourceAlreadyRequested = exports.fetchResourceAlreadyReceived = void 0;

var T = _interopRequireWildcard(require("./types"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var fetchResourceAlreadyReceived = function fetchResourceAlreadyReceived(resourceName, id) {
  return {
    payload: {
      id: id,
      resourceName: resourceName
    },
    type: T.FETCH_RESOURCE_ALREADY_RECEIVED
  };
};

exports.fetchResourceAlreadyReceived = fetchResourceAlreadyReceived;

var fetchResourceAlreadyRequested = function fetchResourceAlreadyRequested(resourceName, id) {
  return {
    payload: {
      id: id,
      resourceName: resourceName
    },
    type: T.FETCH_RESOURCE_ALREADY_REQUESTED
  };
};

exports.fetchResourceAlreadyRequested = fetchResourceAlreadyRequested;

var fetchResourceFailed = function fetchResourceFailed(resourceName, id, error) {
  return {
    payload: {
      error: error,
      id: id,
      resourceName: resourceName
    },
    type: T.FETCH_RESOURCE_FAILED
  };
};

exports.fetchResourceFailed = fetchResourceFailed;

var fetchResourceReceived = function fetchResourceReceived(resourceName, id, data) {
  return {
    payload: {
      data: data,
      id: id,
      resourceName: resourceName
    },
    type: T.FETCH_RESOURCE_RECEIVED
  };
};

exports.fetchResourceReceived = fetchResourceReceived;

var fetchResourceRequested = function fetchResourceRequested(resourceName, id) {
  return {
    payload: {
      id: id,
      resourceName: resourceName
    },
    type: T.FETCH_RESOURCE_REQUESTED
  };
};

exports.fetchResourceRequested = fetchResourceRequested;

var resourcesReset = function resourcesReset(resourceName) {
  return {
    payload: {
      resourceName: resourceName
    },
    type: T.RESOURCES_RESET
  };
};

exports.resourcesReset = resourcesReset;