import { Repository } from './interfaces';
import * as T from './types';
/**
 * Check if the action type relates to the named resource and should be handled by the reducer of
 * this package.
 *
 * @param {string} resourceName
 * @param {object} action
 * @returns {boolean}
 */
export declare const isResourceAction: <TData, TError>(resourceName: string, action: T.Action<TData, TError>) => boolean;
/**
 * Function consuming repository and action objects and returning updated repository object. If the
 * action passes `isResourceAction()` test, your own reducer should delegate the action handling to
 * this function.
 *
 * @param {object} repository
 * @param {object} action
 * @returns {object} Updated repository.
 */
export declare const repositoryReducer: <TData, TError>(repository: Repository<TData, TError>, action: T.Action<TData, TError>) => Repository<TData, TError>;
