"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ALL_TYPES = exports.RESOURCES_RESET = exports.FETCH_RESOURCE_REQUESTED = exports.FETCH_RESOURCE_RECEIVED = exports.FETCH_RESOURCE_FAILED = exports.FETCH_RESOURCE_ALREADY_REQUESTED = exports.FETCH_RESOURCE_ALREADY_RECEIVED = void 0;

/**
 * Resource fetching canceled, because it has already been received.
 *
 * @type {string}
 */
var FETCH_RESOURCE_ALREADY_RECEIVED = '@@repository/FETCH_RESOURCE_ALREADY_RECEIVED';
exports.FETCH_RESOURCE_ALREADY_RECEIVED = FETCH_RESOURCE_ALREADY_RECEIVED;

/**
 * Resource fetching canceled, because it has already been requested.
 *
 * @type {string}
 */
var FETCH_RESOURCE_ALREADY_REQUESTED = '@@repository/FETCH_RESOURCE_ALREADY_REQUESTED';
exports.FETCH_RESOURCE_ALREADY_REQUESTED = FETCH_RESOURCE_ALREADY_REQUESTED;

/**
 * Resource fetching failed.
 *
 * @type {string}
 */
var FETCH_RESOURCE_FAILED = '@@repository/FETCH_RESOURCE_FAILED';
exports.FETCH_RESOURCE_FAILED = FETCH_RESOURCE_FAILED;

/**
 * Resource fetching completed.
 *
 * @type {string}
 */
var FETCH_RESOURCE_RECEIVED = '@@repository/FETCH_RESOURCE_RECEIVED';
exports.FETCH_RESOURCE_RECEIVED = FETCH_RESOURCE_RECEIVED;

/**
 * Resource fetching started.
 *
 * @type {string}
 */
var FETCH_RESOURCE_REQUESTED = '@@repository/FETCH_RESOURCE_REQUESTED';
exports.FETCH_RESOURCE_REQUESTED = FETCH_RESOURCE_REQUESTED;

/**
 * Resources reset.
 *
 * @type {string}
 */
var RESOURCES_RESET = '@@repository/RESOURCES_RESET';
exports.RESOURCES_RESET = RESOURCES_RESET;

/**
 * Array of all of the action types.
 *
 * @type {Array<string>}
 */
var ALL_TYPES = [FETCH_RESOURCE_ALREADY_RECEIVED, FETCH_RESOURCE_ALREADY_REQUESTED, FETCH_RESOURCE_FAILED, FETCH_RESOURCE_RECEIVED, FETCH_RESOURCE_REQUESTED, RESOURCES_RESET];
exports.ALL_TYPES = ALL_TYPES;